layui.extend({
    common    :   'js/common',
}).use(['jquery','layer','form','common','table',], function () {
    var $ = layui.jquery;
    //  引入表单插件
    var form = layui.form;

    var layer = layui.layer;
    var common = layui.common


    //监听提交
    form.on('submit(addConfirm)', function(data){
        common.timer($('button[lay-filter="addConfirm"]'));
        var params = {};
        if(table_ad_checkbox_map.size==0){
            layer.msg("请先关联广告");
            return;
        }else{
            var adId = '';
            table_ad_checkbox_map.forEach(function (item,key) {
               adId = key;
            });
            //关联的广告总数
            params['adId'] = adId;
        }
        var sort = $('#sort').val();
        if(!sort){
            layer.msg("请输入广告排序");
            return;
        }
        params['sort'] = sort;
        common.sendAsyncRequest("/ad/push/app/add",'POST',params,callbackFn);
    });

    //回调函数
    function callbackFn(result) {
        if(result.code=='200'){
            layer.msg("添加成功",{time:1000,shade : [0.1 , '#000' , true]},function () {
                // 父页面刷新
                parent.location.reload();
                //获取当前弹窗出层的名字
                var mylay = parent.layer.getFrameIndex(window.name);
                //关闭弹窗层
                parent.layer.close(mylay);
            });
        }else {//添加失败
            layer.msg("添加失败");
        }
    }

    //取消按钮
    $('button[type="reset"]').on('click',function () {
        if (parent) {
            //  关闭当前页面弹窗
            var index = parent.layer.getFrameIndex(window.name);
            parent.layer.close(index);
        }else {
            //  关闭页面
            window.close();
        }
    });

    //关联广告按钮
    $('#relevance_btn').on('click', function () {
        layer.open({
            //  0（信息框，默认）1（页面层）2（iframe层）3（加载层）4（tips层）
            type    :   2,
            //  宽高
            area    :   ['100%','100%'],
            //  禁用最大最小化
            maxmin  :   false,
            //  禁用拖拽
            move    :   false,
            //  标题
            title   :   '关联广告',
            //  打开内容
            content :   '/ad/push/task/relevance/view'
        });
    });

});


